gtkprivacy.h File Reference
Pidgin (GTK+ User Interface)

GTK+ Privacy UI. More...

`#include "privacy.h"`

Go to the source code of this file.

## Functions

void | pidgin_privacy_init (void)
| Initializes the GTK+ privacy subsystem.
void | pidgin_privacy_dialog_show (void)
| Shows the privacy dialog.
void | pidgin_privacy_dialog_hide (void)
| Hides the privacy dialog.
void | pidgin_request_add_permit (PurpleAccount *account, const char *name)
| Requests confirmation to add a user to the allow list for an account, and then adds it. More...
void | pidgin_request_add_block (PurpleAccount *account, const char *name)
| Requests confirmation to add a user to the block list for an account, and then adds it. More...
PurplePrivacyUiOps * | pidgin_privacy_get_ui_ops (void)
| Returns the UI operations structure for the GTK+ privacy subsystem. More...

## Detailed Description

GTK+ Privacy UI.

Definition in file gtkprivacy.h.

## Function Documentation

## pidgin_privacy_get_ui_ops()

PurplePrivacyUiOps* pidgin_privacy_get_ui_ops | ( | void |  | ) |

Returns the UI operations structure for the GTK+ privacy subsystem.

Returns
  The GTK+ UI privacy operations structure.

## pidgin_request_add_block()

void pidgin_request_add_block | ( | PurpleAccount * | account,
|  | const char * | name
| ) |  |

Requests confirmation to add a user to the block list for an account, and then adds it.

If name is not specified, an input dialog will be presented.

Parameters

  account | The account.
  name | The name of the user to add.

## pidgin_request_add_permit()

void pidgin_request_add_permit | ( | PurpleAccount * | account,
|  | const char * | name
| ) |  |

Requests confirmation to add a user to the allow list for an account, and then adds it.

If name is not specified, an input dialog will be presented.

Parameters

  account | The account.
  name | The name of the user to add.